Notice

Normal

Mac OS X Catalina Not Compatible With Some Apps

Apple MacOS users should ensure that their applications are compatible with MacOS 10.15 Catalina prior to upgrading.

Catalina no longer supports 32-bit applications and users that install Catalina will no longer be able to install or run 32-bit applications.

Software that is known to not currently be compatible with Catalina includes:

If you need help determining whether a certain software title is compatible with your version of Mac OS X or need other assistance with your Mac, please contact the IT Help Desk.

Topics:

Audience:

Related Content

Notice

Normal

Anonymous users will no longer be able to join Google Meet meetings

Notice

Normal

New WebCampus features coming Friday, July 10

Notice

Normal

Suite Spotlight Newsletter: See Who’s Accessed a Doc, Create Multiple Signatures, and More

Notice

Normal

The new Google Groups will begin rolling out for UNLVMail/Rebelmail starting June 26